### Method

# GimpUi Preview set_update

since: 2.2

#### Declaration [src]

    void
    gimp_preview_set_update (
      GimpPreview* preview,
      gboolean update
    )

#### Description [src]

Sets the state of the “Preview” check button.

Available since: 2.2

Sets property | `GimpUi.Preview:update`

#### Parameters

`update`

  Type: `gboolean`

  `TRUE` if the preview should invalidate itself when being scrolled or when `gimp_preview_invalidate()` is being called.